Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80305 - "Play test sound" creates duplicate /etc/modules.conf entries
Summary: "Play test sound" creates duplicate /etc/modules.conf entries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-soundcard
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-24 10:09 UTC by Warren Togami
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-09 13:06:02 UTC


Attachments (Terms of Use)

Description Warren Togami 2002-12-24 10:09:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
If you run redhat-config-soundcard and click OK, it writes the
appropriate alias, post-install, and post-remove lines in
/etc/modules.conf.  This is proper behavior.

Unfortunately, it also does so each time you click "Play test sound".  So if you
test the sound and click "OK", you end up with one or more duplicates of these
lines.

Version-Release number of selected component (if applicable):
redhat-config-soundcard-1.0.2-2

How reproducible:
Always

Steps to Reproduce:
1. Run redhat-config-soundcard
2. Click "Play test sound"
3. Click "OK"
4. Look at /etc/modules.conf
    
Actual Results:  
Duplicated entries.

Expected Results:  
Shouldn't duplicate entries.

Comment 1 Brent Fox 2002-12-24 16:23:31 UTC
Oops.  Fixing now.

Comment 2 Brent Fox 2002-12-24 16:40:24 UTC
Should be fixed in redhat-config-soundcard-1.0.2-3.  Thanks for your report.

QA, please verify.

Comment 3 Jay Turner 2003-01-09 13:06:02 UTC
Fix confirmed with redhat-config-soundcard-1.0.2-3.


Note You need to log in before you can comment on or make changes to this bug.